package com.yihu.hos.crawler.model.patient;

/**
 * 病人摘要标识
 *
 *
 * @author HXY
 * @version 1.0
 * @created 2016.03.01 13:50
 */
public class PatientIndex {
    public static final String PATIENT_ID = "PATIENT_ID";
    private String eventNoCode;
    private String refTimeCode;
//    private String organization;
    private String officeCode;
    private String officeName;
    private String leaveTime;
    private String diagDataSet;
    private String diagCode;
    private String diagName;
    private String diagType;

    public PatientIndex() {
    }

    public String getDiagType() {
        return diagType;
    }

    public void setDiagType(String diagType) {
        this.diagType = diagType;
    }

    public static String getPatientId() {
        return PATIENT_ID;
    }

    public String getEventNoCode() {
        return eventNoCode;
    }

    public void setEventNoCode(String eventNoCode) {
        this.eventNoCode = eventNoCode;
    }

    public String getRefTimeCode() {
        return refTimeCode;
    }

    public void setRefTimeCode(String refTimeCode) {
        this.refTimeCode = refTimeCode;
    }

//    public String getOrganization() {
//        return organization;
//    }
//
//    public void setOrganization(String organization) {
//        this.organization = organization;
//    }

    public String getOfficeCode() {
        return officeCode;
    }

    public void setOfficeCode(String officeCode) {
        this.officeCode = officeCode;
    }

    public String getOfficeName() {
        return officeName;
    }

    public void setOfficeName(String officeName) {
        this.officeName = officeName;
    }

    public String getLeaveTime() {
        return leaveTime;
    }

    public void setLeaveTime(String leaveTime) {
        this.leaveTime = leaveTime;
    }

    public String getDiagDataSet() {
        return diagDataSet;
    }

    public void setDiagDataSet(String diagDataSet) {
        this.diagDataSet = diagDataSet;
    }

    public String getDiagCode() {
        return diagCode;
    }

    public void setDiagCode(String diagCode) {
        this.diagCode = diagCode;
    }

    public String getDiagName() {
        return diagName;
    }

    public void setDiagName(String diagName) {
        this.diagName = diagName;
    }
}
